## tdepowersave-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdepowersave )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## tdepowersave-trinity 14.0.5

=== debian/changelog ===
tdepowersave-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:48:25 +0200

tdepowersave-trinity (0.7.3-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_DOCS_ALL := AUTHORS NEWS
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_GCC_VISIBILITY="ON"

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifndef _cdbs_class_cmake
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
		
	make -f admin/Makefile.common cvs
endif
	touch debian/stamp-bootstrap

install/tdepowersave-trinity::
	install -p -D -m644 debian/tdepowersave-trinity.lintian debian/tdepowersave-trinity/usr/share/lintian/overrides/tdepowersave-trinity
	install -p -D -m644 debian/tdepowersave-trinity.linda debian/tdepowersave-trinity/usr/share/linda/overrides/tdepowersave-trinity

clean::
	find . -name Makefile.in | xargs rm -f
	rm -f acinclude.m4
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.files
	rm -f configure.in
	rm -f config.h.in
	rm -f stamp-h.in
	rm -f subdirs	
	rm -f admin/ltmain.sh
	rm -f admin/libtool.m4.in
	rm -f debian/stamp-bootstrap

## tdepowersave-trinity 14.0.6

=== debian/changelog ===
tdepowersave-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:49:33 +0100

=== debian/control ===
Source: tdepowersave-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev, cmake, automake, autoconf, libtool, libltdl-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/powersave/

Package: tdepowersave-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kpowersave-trinity, kpowersave-nohal-trinity
Description: Power management applet for Trinity
 TDEPowersave is a TDE systray applet which allows to control the power 
 management settings and policies of your computer.
 It relies on the TDE hardware library to do the heavy lifting.
 .
 Current feature list:
  * support for ACPI, APM and PMU
  * trigger suspend to disk/ram and standby
  * switch cpu frequency policy (between: performance, dynamic and powersave)
  * applet icon with information about AC state, battery fill and battery
    (warning) states
  * applet tooltip with information about battery fill and remaining battery 
    time/percentage
  * autosuspend (to suspend the machine if the user has been inactive for a 
    defined time)
  * a global configurable blacklist with programs which prevent autosuspend
    (e.g. videoplayer and cd burning tools)
  * trigger lock screen and select the lock method
  * KNotify support
  * online help
  * localisations for many languages
 TDEPowersave supports schemes with following configurable specific 
 settings for:
  * screensaver
  * DPMS
  * autosuspend
  * scheme specific blacklist for autosuspend
  * notification settings

## tdepowersave-trinity 14.0.8

=== debian/changelog ===
tdepowersave-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 15 Apr 2020 23:51:56 +0200

## tdepowersave-trinity 14.0.9

=== debian/changelog ===
tdepowersave-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:17:55 +0200

## tdepowersave-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -19,8 +19,9 @@
 
 ##### include essential cmake modules ###########
 
+include( FindPkgConfig )
+include( CheckSymbolExists )
 include( CheckCXXSourceCompiles )
-include( FindPkgConfig )
 
 
 ##### include our cmake modules #################
@@ -54,8 +55,8 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### source directories ########################

=== debian/changelog ===
tdepowersave-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tdepowersave-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev, cmake, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev, cmake, automake, autoconf, libtool, libltdl-dev
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/powersave/

## tdepowersave-trinity 14.0.11

=== debian/changelog ===
tdepowersave-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:34 +0200

## tdepowersave-trinity 14.0.12

=== debian/changelog ===
tdepowersave-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 11 Feb 2022 23:39:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_INSTALL_DOCS_ALL := AUTHORS NEWS

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_GCC_VISIBILITY="ON"

install/tdepowersave-trinity::
	install -p -D -m644 debian/tdepowersave-trinity.lintian debian/tdepowersave-trinity/usr/share/lintian/overrides/tdepowersave-trinity
	install -p -D -m644 debian/tdepowersave-trinity.linda debian/tdepowersave-trinity/usr/share/linda/overrides/tdepowersave-trinity

## tdepowersave-trinity 14.0.13

=== debian/changelog ===
tdepowersave-trinity (4:14.0.13-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:22:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
-
-DEB_INSTALL_DOCS_ALL := AUTHORS NEWS
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
@@ -20,4 +18,3 @@
 
 install/tdepowersave-trinity::
 	install -p -D -m644 debian/tdepowersave-trinity.lintian debian/tdepowersave-trinity/usr/share/lintian/overrides/tdepowersave-trinity
-	install -p -D -m644 debian/tdepowersave-trinity.linda debian/tdepowersave-trinity/usr/share/linda/overrides/tdepowersave-trinity

## tdepowersave-trinity 14.1.0

=== debian/changelog ===
tdepowersave-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Apr 2023 19:55:26 +0200

## tdepowersave-trinity 14.1.1

=== debian/changelog ===
tdepowersave-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 16:02:05 +0200

## tdepowersave-trinity 14.1.2

=== debian/changelog ===
tdepowersave-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 11 Apr 2024 01:38:34 +0200

## tdepowersave-trinity 14.1.3

=== debian/changelog ===
tdepowersave-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Sep 2024 23:10:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev, cmake, automake, autoconf, libtool, libltdl-dev
-Build-Conflicts: autoconf2.13
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/powersave/

## tdepowersave-trinity 14.1.4

=== debian/changelog ===
tdepowersave-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdepowersave-trinity 14.1.5~pre2

=== debian/changelog ===
tdepowersave-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for adfc28f722314044eab9c4d08d7f43612b4f67d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdepowersave-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -26,7 +31,6 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -62,8 +66,8 @@
 ##### source directories ########################
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################

=== src/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/tdepowersave/icons )

=== debian/changelog ===
tdepowersave-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libdbus-1-dev (>= 0.6), libdbus-1-tqt-dev
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/powersave/

## tdepowersave-trinity 14.1.6~pre0

=== debian/changelog ===
tdepowersave-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for adfc28f722314044eab9c4d08d7f43612b4f67d9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdepowersave-trinity 14.1.6~pre2

=== debian/changelog ===
tdepowersave-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c6f2bb71879d26b8435f1bed1dfe3d19af3c2d9b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:07:25 +0100

## tdepowersave-trinity 14.1.6~pre5

=== debian/changelog ===
tdepowersave-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bec9a9552440bedff7ce3dc4336cdeb6de1e99cc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 22:32:35 +0100

## tdepowersave-trinity 14.2.0~pre63

=== debian/changelog ===
tdepowersave-trinity (4:14.2.0~pre63-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2c5358bf04b13400f7edc9b02a9cebaf5d57a98e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdepowersave-trinity 14.2.0~pre65

=== debian/changelog ===
tdepowersave-trinity (4:14.2.0~pre65-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for edeb373a8da727fa43ed42751d8b963792b2f99d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:07:07 +0100

## tdepowersave-trinity 14.2.0~pre68

=== debian/changelog ===
tdepowersave-trinity (4:14.2.0~pre68-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4ae794a22164436ec44953a5b2790e0b439c58b6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepowersave

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 24 Feb 2026 17:51:59 +0100
